class FiledropFilesController < ApplicationController
  before_action :authenticate_user!
  before_action :set_filedrop_file, only: [ :download ]

  def download
    # Define the file path within the storage directory
    file_path = @filedrop_file.local_path

    # Send the file to the user
    if File.exist?(file_path)
      send_file file_path, filename: @filedrop_file.name, disposition: "attachment"
    else
      render plain: "File not found", status: :not_found
    end
  end

  private

  def set_filedrop_file
    @filedrop_file = FiledropFile.find(params[:id])
  end
end
